Bug 1076813 - simspark bundles tinyxml
simspark bundles tinyxml
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: simspark (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Hedayat Vatankhah
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: DuplicSysLibsTracker
  Show dependency treegraph
 
Reported: 2014-03-15 06:29 EDT by Ville Skyttä
Modified: 2017-12-12 05:21 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:21:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2014-03-15 06:29:36 EDT
https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries
https://fedoraproject.org/wiki/Packaging:Treatment_Of_Bundled_Libraries

simspark is using a bundled copy of tinyxml.

$ rpm -qlp http://kojipkgs.fedoraproject.org//packages/simspark/0.2.4/4.fc20/x86_64/simspark-debuginfo-0.2.4-4.fc20.x86_64.rpm | grep utility/tiny
/usr/src/debug/simspark-0.2.4/build/utility/tinyxml
/usr/src/debug/simspark-0.2.4/utility/tinyxml
/usr/src/debug/simspark-0.2.4/utility/tinyxml/tinyxml.cpp
/usr/src/debug/simspark-0.2.4/utility/tinyxml/tinyxml.h
/usr/src/debug/simspark-0.2.4/utility/tinyxml/tinyxmlerror.cpp
/usr/src/debug/simspark-0.2.4/utility/tinyxml/tinyxmlparser.cpp
/usr/src/debug/simspark-0.2.4/utility/tinyxml/xmlfunctions.cpp
/usr/src/debug/simspark-0.2.4/utility/tinyxml/xmlfunctions.h
Comment 1 Hedayat Vatankhah 2014-04-24 02:57:26 EDT
IIRC, the bundled library differs from the upstream one and this is why it is named libtinyxml_ex rather than libtinyxml. But I'll check further.
Comment 2 Jaroslav Reznik 2015-03-03 10:35:11 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 3 Fedora End Of Life 2016-07-19 07:09:11 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Jan Kurik 2016-07-26 00:19:35 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 5 Fedora End Of Life 2017-11-16 13:51:02 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2017-12-12 05:21:16 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.